- API
- Search folders
GET
https://send.now/api/folder/search?key=1ltghrilhllgrx2b2&name=videos
| Parameters |
Description |
Example |
Format |
Required |
| key |
API-Key |
1ltghrilhllgrx2b2 |
String |
yes |
| name |
Part of the folder name (at least 2 characters), not case sensitive |
videos |
String |
yes |
cURL example
curl --include \
'https://send.now/api/folder/search?key=1ltghrilhllgrx2b2&name=videos'
Response
{
"msg": "OK",
"result": {
"search_term": "videos",
"total_results": 1,
"folders": [
{
"fld_id": 395485,
"fld_name": "Videos",
"fld_code": null,
"fld_files": 4,
"fld_parent_id": 0,
"parent_name": "",
"level": 0
}
]
},
"status": 200,
"server_time": "2024-08-26 12:19:28"
}
Notice
|
Searches all your folders, at every depth. Deleted folders are not found. parent_name is the name of the folder it is in (empty at the top level). |
Status code
| 200 |
Everything is OK. Request succeeded |
| 400 |
Bad request (e.g. wrong parameters) |
| 403 |
Permission denied |
| 404 |
File not found |
| 451 |
Unavailable
|